diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 9c2e98f..37a6736 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -62286,21 +62286,25 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
        localDeepestInitial leadingCoefficient(p.ts)$D 
 
      deepestInitial p == 
-       p case R => error"Error in deepestInitial from NSMP : #1 has no variables."
+       p case R => 
+         error"Error in deepestInitial from NSMP : #1 has no variables."
        localDeepestInitial leadingCoefficient(p.ts)$D  
 
      mainMonomial p == 
-       zero? p => error"Error in mainMonomial from NSMP : the argument is zero"
+       zero? p => 
+         error"Error in mainMonomial from NSMP : the argument is zero"
        p case R => 1$$ 
        monomial(1$$,p.v,degree(p.ts)$D)
 
      leastMonomial p == 
-       zero? p => error"Error in leastMonomial from NSMP : the argument is zero"
+       zero? p => 
+         error"Error in leastMonomial from NSMP : the argument is zero"
        p case R => 1$$
        monomial(1$$,p.v,minimumDegree(p.ts)$D)
 
      mainCoefficients p == 
-       zero? p => error"Error in mainCoefficients from NSMP : the argument is zero"
+       zero? p => 
+         error"Error in mainCoefficients from NSMP : the argument is zero"
        p case R => [p]
        coefficients(p.ts)$D
 
@@ -62317,7 +62321,7 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
        mM: $
        if a.v > b.v
          then 
-           m : D := map(localMonicModulo(#1,b),a.ts)$SUP2
+           m : D := map((a1:%):% +-> localMonicModulo(a1,b),a.ts)$SUP2
          else
            m : D := monicModulo(a.ts,b.ts)$D
        if ground?(m)$D 
@@ -62547,13 +62551,13 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
 --           one? b => a
            (b = 1) => a
            a case R => (a::R quo$R b)::$
-           ([a.v, map(exactQuotient(#1,b),a.ts)$SUP2]$VPoly)::Rep
+           ([a.v, map((a1:%):% +-> exactQuotient(a1,b),a.ts)$SUP2]$VPoly)::Rep
 
          exactQuotient! (a:$,b:R) ==
 --           one? b => a
            (b = 1) => a
            a case R => (a::R quo$R b)::$
-           a.ts := map(exactQuotient!(#1,b),a.ts)$SUP2
+           a.ts := map((a1:%):% +-> exactQuotient!(a1,b),a.ts)$SUP2
            a
 
        else
@@ -62562,13 +62566,13 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
 --           one? b => a
            (b = 1) => a
            a case R => ((a::R exquo$R b)::R)::$
-           ([a.v, map(exactQuotient(#1,b),a.ts)$SUP2]$VPoly)::Rep
+           ([a.v, map((a1:%):% +-> exactQuotient(a1,b),a.ts)$SUP2]$VPoly)::Rep
 
          exactQuotient! (a:$,b:R) == 
 --           one? b => a
            (b = 1) => a
            a case R => ((a::R exquo$R b)::R)::$
-           a.ts := map(exactQuotient!(#1,b),a.ts)$SUP2
+           a.ts := map((a1:%):% +-> exactQuotient!(a1,b),a.ts)$SUP2
            a
 
      if R has GcdDomain
@@ -62598,7 +62602,8 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
          zero? p => p
          p case R => 1$$
          cp := content(p)
-         p.ts := unitCanonical(map(exactQuotient!(#1,cp),p.ts)$SUP2)$D
+         p.ts := 
+           unitCanonical(map((a1:%):% +-> exactQuotient!(a1,cp),p.ts)$SUP2)$D
          p
 
 @
diff --git a/changelog b/changelog
index a4753cc..fc30a0f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090514 tpd src/axiom-website/patches.html 20090514.06.tpd.patch
+20090514 tpd books/bookvol10.3 NSMP +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.05.tpd.patch
 20090514 tpd books/bookvol10.4 DBLRESP +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 27b43c7..7c464e5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1298,5 +1298,7 @@ bookvol10.4 DFINTTLS +-> conversion<br/>
 bookvol10.3 MYUP +-> conversion<br/>
 <a href="patches/20090514.05.tpd.patch">20090514.05.tpd.patch</a>
 bookvol10.4 DBLRESP +-> conversion<br/>
+<a href="patches/20090514.06.tpd.patch">20090514.06.tpd.patch</a>
+bookvol10.3 NSMP +-> conversion<br/>
  </body>
 </html>
